Bug 1456244 - Review Request: vocal - Powerful, beautiful, and simple podcast client
Summary: Review Request: vocal - Powerful, beautiful, and simple podcast client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PantheonDesktopPackageReviews
TreeView+ depends on / blocked
 
Reported: 2017-05-28 10:10 UTC by Fabio Valentini
Modified: 2017-11-11 17:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-07 16:36:53 UTC
ngompa13: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2017-05-28 10:10:39 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/vocal.spec

SRPM URL: https://decathorpe.fedorapeople.org/packages/vocal-2.0.19-1.fc26.src.rpm

Description:
Vocal is a powerful, fast, and intuitive application that helps users
find new podcasts, manage their libraries, and enjoy the best that
independent audio and video publishing has to offer. Vocal features full
support for both episode downloading and streaming, native system
integration, iTunes store search and top 100 charts (with international
results support), iTunes link parsing, OPML importing and exporting, and
so much more. Plus, it has great smart features like automatically
keeping your library clean from old files, and the ability to set custom
skip intervals.

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=19746584


Packager's Notes regarding rpmlint messages:
spelling-error:             false positive ("podcasts")
only-non-binary-in-usr-lib: can be ignored (there's nothing but ".build-id")
hidden-file-or-dir:         false positive (".build-id")
invalid-lc-messages-dir:    false positive (many packages provide these)

Additionally, I have fixed the spurious executable permissions on *.vala source files and on the AUTHORS, COPYING and README.md files in the %build script - I will also notify upstream about this.

Comment 1 Neal Gompa 2017-05-28 18:21:58 UTC
Taking this review.

Comment 2 Neal Gompa 2017-06-02 22:00:07 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (2 clause)", "LGPL (v3)", "GPL (v3 or later)", "Unknown or
     generated". 239 files have unknown license. Detailed output of
     licensecheck in /home/makerpm/1456244-vocal/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/rue, /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/ckb/LC_MESSAGES
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/locale/ckb,
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/rue,
     /usr/share/locale/ckb/LC_MESSAGES
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in vocal
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in vocal-
     debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 1218560 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: vocal-2.0.19-1.fc27.x86_64.rpm
          vocal-debuginfo-2.0.19-1.fc27.x86_64.rpm
          vocal-2.0.19-1.fc27.src.rpm
vocal.x86_64: W: spelling-error %description -l en_US podcasts -> podcast, pod casts, pod-casts
vocal.x86_64: W: only-non-binary-in-usr-lib
vocal.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
vocal.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
vocal.x86_64: W: no-manual-page-for-binary vocal
vocal.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/vocal.mo
vocal.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/vocal.mo
vocal.src: W: spelling-error %description -l en_US podcasts -> podcast, pod casts, pod-casts
3 packages and 0 specfiles checked; 2 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: vocal-debuginfo-2.0.19-1.fc27.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
vocal.x86_64: W: spelling-error %description -l en_US podcasts -> podcast, pod casts, pod-casts
vocal.x86_64: W: only-non-binary-in-usr-lib
vocal.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
vocal.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
vocal.x86_64: W: no-manual-page-for-binary vocal
vocal.x86_64: E: invalid-lc-messages-dir /usr/share/locale/bh/LC_MESSAGES/vocal.mo
vocal.x86_64: E: invalid-lc-messages-dir /usr/share/locale/mo/LC_MESSAGES/vocal.mo
2 packages and 0 specfiles checked; 2 errors, 5 warnings.



Requires
--------
vocal-debuginfo (rpmlib, GLIBC filtered):

vocal (rpmlib, GLIBC filtered):
    /bin/sh
    libEGL.so.1()(64bit)
    libX11.so.6()(64bit)
    libXcomposite.so.1()(64bit)
    libXdamage.so.1()(64bit)
    libXext.so.6()(64bit)
    libXfixes.so.3()(64bit)
    libXi.so.6()(64bit)
    libXrandr.so.2()(64bit)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libclutter-1.0.so.0()(64bit)
    libclutter-gst-3.0.so.0()(64bit)
    libclutter-gtk-1.0.so.0()(64bit)
    libcogl-pango.so.20()(64bit)
    libcogl-path.so.20()(64bit)
    libcogl.so.20()(64bit)
    libdbusmenu-glib.so.4()(64bit)
    libdee-1.0.so.4()(64bit)
    libdrm.so.2()(64bit)
    libgbm.so.1()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgee-0.8.so.2()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgmodule-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgranite.so.3()(64bit)
    libgstbase-1.0.so.0()(64bit)
    libgstpbutils-1.0.so.0()(64bit)
    libgstreamer-1.0.so.0()(64bit)
    libgstvideo-1.0.so.0()(64bit)
    libgthread-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libjavascriptcoregtk-4.0.so.18()(64bit)
    libjson-glib-1.0.so.0()(64bit)
    libnotify.so.4()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libsoup-2.4.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libunity.so.9()(64bit)
    libwayland-client.so.0()(64bit)
    libwayland-cursor.so.0()(64bit)
    libwayland-egl.so.1()(64bit)
    libwayland-server.so.0()(64bit)
    libwebkit2gtk-4.0.so.37()(64bit)
    libxkbcommon.so.0()(64bit)
    libxml2.so.2()(64bit)
    libxml2.so.2(LIBXML2_2.4.30)(64bit)
    rtld(GNU_HASH)



Provides
--------
vocal-debuginfo:
    vocal-debuginfo
    vocal-debuginfo(x86-64)

vocal:
    appdata()
    appdata(com.github.needle-and-thread.vocal.appdata.xml)
    application()
    application(com.github.needle-and-thread.vocal.desktop)
    vocal
    vocal(x86-64)



Source checksums
----------------
https://github.com/needle-and-thread/vocal/archive/2.0.19/vocal-2.0.19.tar.gz :
  CHECKSUM(SHA256) this package     : f9854d3c3be4eb95a0f62642fa49bbc4fbe0be44a03147cd5282e3dfab15c6f6
  CHECKSUM(SHA256) upstream package : f9854d3c3be4eb95a0f62642fa49bbc4fbe0be44a03147cd5282e3dfab15c6f6


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/bin/fedora-review -b 1456244 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Neal Gompa 2017-06-02 22:00:34 UTC
Looks good.

PACKAGE APPROVED.

Comment 4 Fabio Valentini 2017-06-03 12:03:31 UTC
Thanks for the review! PkgDB request is sent.

Comment 5 Gwyn Ciesla 2017-06-05 12:14:08 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/vocal

Comment 6 Fedora Update System 2017-06-05 12:48:11 UTC
vocal-2.0.19-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-05927b472e

Comment 7 Fedora Update System 2017-06-05 12:52:08 UTC
vocal-2.0.19-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ce9dfbb54

Comment 8 Fedora Update System 2017-06-05 19:06:15 UTC
vocal-2.0.19-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-05927b472e

Comment 9 Fedora Update System 2017-06-06 05:05:11 UTC
vocal-2.0.19-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ce9dfbb54

Comment 10 Fedora Update System 2017-06-07 16:36:53 UTC
vocal-2.0.19-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-06-09 19:27:00 UTC
vocal-2.0.19-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.